1 Reply Latest reply on Sep 12, 2013 4:17 PM by Mike M

    I have a Mac with 10.5.8 software

    Mp0493

      I'm trying to go on sho.com to watch a show and it keeps telling me I need flash for it to work. I downloaded flash 10.3 and the website is still telling me I need a flash player. But it says my software won't let me download the newest flash version.